OEM Installer sets up wrong owner for /home/oem/Desktop/ folder

Bug #209683 reported by Tero miettinen on 2008-03-31
6
Affects Status Importance Assigned to Milestone
oem-config (Ubuntu)
Low
Colin Watson
Hardy
Undecided
Unassigned
ubiquity (Ubuntu)
High
Colin Watson
Hardy
Undecided
Unassigned

Bug Description

After doing a OEM installation, the /home/oem/Desktop folder is owned by root, not the "oem" user. The proposed patch is very small and should pose no risk for regression.

TEST CASE:
Install Ubuntu using the OEM option. When the install reboots, check to see if the Desktop folder is owned by oem or root:
snippets from ls -al
drwxr-xr-x 24 oem oem 4096 2008-03-31 15:41 .
drwxr-xr-x 2 root root 4096 2008-03-31 15:39 Desktop

The proposed patch that has been included in the 1.8.8 ubiquity upload can be found here:
http://launchpadlibrarian.net/14905300/209683-desktop-ownership.diff

Evan (ev) on 2008-03-31
Changed in debian-installer:
assignee: nobody → evand
status: New → Confirmed
assignee: evand → nobody
importance: Undecided → Low
Colin Watson (cjwatson) wrote :

What release of Ubuntu were you using?

Changed in debian-installer:
status: Confirmed → Incomplete
Colin Watson (cjwatson) wrote :

Actually, never mind, I see the problem. Fixed in bzr.

Changed in oem-config:
assignee: nobody → kamion
status: Incomplete → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oem-config - 1.33

---------------
oem-config (1.33) hardy; urgency=low

  * Fix ownership of /home/oem/Desktop (LP: #209683).
  * Automatic update of included source packages: console-setup 1.21ubuntu5,
    tzsetup 1:0.20.

 -- Colin Watson <email address hidden> Tue, 01 Apr 2008 14:33:33 +0100

Changed in oem-config:
status: Fix Committed → Fix Released
Tero miettinen (tero-miettinen) wrote :

Yeah, it was the new beta CD.

Good to see it fixed quickly :)

Colin Watson (cjwatson) wrote :

Sigh - ubiquity needs to be fixed too.

Changed in ubiquity:
assignee: nobody → kamion
importance: Undecided → High
milestone: none → ubuntu-8.04.1
status: New → Fix Committed
Colin Watson (cjwatson) wrote :

(So this bug is fixed for installations from the alternate install CD, but won't be fixed for the desktop CD until 8.04.1.)

Evan (ev) wrote :
Changed in ubiquity:
milestone: none → ubuntu-8.04.1
status: New → Fix Committed
description: updated
Evan (ev) on 2008-06-02
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 1.9.0

---------------
ubiquity (1.9.0) intrepid; urgency=low

  [ Colin Watson ]
  * Fix ownership of /home/oem/Desktop in OEM installations (LP: #209683).
  * Silence deprecation warning in zoommap.
  * Add ubiquity-dm implementation for matchbox-window-manager (thanks,
    Patrick Hétu; see LP #159363).
  * Make use of RAWMINSIZE, RAWCURSIZE, and RAWMAXSIZE variables from
    partman-partitioning 59ubuntu2 to set accurate bounds on the resize
    widget.

  [ Evan Dandrea ]
  * Usability fixes for the timezone widget:
    - Make the hover-to-zoom areas relative to the widget size.
    - Zoom in on the location of the cursor, not the edge relative to its
      position.
    - Add a delay for zooming out.
  * Handle the migration-assistant UI being fed non-UTF data gracefully.
  * Make capitalization of migration-assistant consistent (LP: #225555).
  * Remember hostname between runs of ubiquity (LP: #40590).
  * Disable the close button for progress windows (LP: #107686).
  * Reset stay_on_page when the back button is pressed (LP: #235374).

  [ Mario Limonciello ]
  * Enable --automatic and preseeding support on the Mythbuntu frontend.

 -- Evan Dandrea <email address hidden> Mon, 02 Jun 2008 14:26:30 -0400

Changed in ubiquity:
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Accepted into -proposed, please test and give feedback here

Changed in oem-config:
status: New → Fix Released
Brian Murray (brian-murray) wrote :

Using the daily build of 8.04.1 from 20080620.1 the Desktop folder is owned by the oem user after performing an OEM installation.

Steve Langasek (vorlon) wrote :

ubiquity 1.8.12 copied to hardy-updates.

Changed in ubiquity:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers